commit:     f4af58480670bba61090f89c2d7f1b3f1df26d66
Author:     Aisha Tammy <gentoo <AT> aisha <DOT> cc>
AuthorDate: Thu May 20 23:13:08 2021 +0000
Commit:     Aisha Tammy <gentoo <AT> aisha <DOT> cc>
CommitDate: Thu May 20 23:13:19 2021 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=f4af5848

media-libs/embree-bin: version bump to 3.13.0

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Aisha Tammy <gentoo <AT> aisha.cc>

 media-libs/embree-bin/embree-bin-3.13.0.ebuild | 58 ++++++++++++++++++++++++++
 1 file changed, 58 insertions(+)

diff --git a/media-libs/embree-bin/embree-bin-3.13.0.ebuild 
b/media-libs/embree-bin/embree-bin-3.13.0.ebuild
new file mode 100644
index 000000000..a1cf40c1a
--- /dev/null
+++ b/media-libs/embree-bin/embree-bin-3.13.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="high-performance ray tracing kernels from intel"
+HOMEPAGE="https://github.com/embree/embree";
+SRC_URI="https://github.com/embree/embree/releases/download/v${PV}/embree-${PV}.x86_64.linux.tar.gz
 -> ${P}.tar.gz"
+S="${WORKDIR}"/embree-${PV}.x86_64.linux
+RESTRICT="mirror"
+
+LICENSE="Apache-2.0"
+KEYWORDS="~amd64"
+SLOT="0"
+RESTRICT="strip"
+
+QA_PREBUILT="
+       /opt/embree/bin/.*
+       /opt/embree/lib/.*
+"
+QA_PRESTRIPPED="${QA_PREBUILT}"
+
+RDEPEND="
+       dev-cpp/tbb
+       dev-lang/ispc
+       media-libs/glfw
+       media-libs/glu
+       virtual/jpeg:0
+       virtual/opengl
+       x11-libs/libxcb
+       x11-libs/libX11
+       x11-libs/libXau
+       x11-libs/libXdmcp
+"
+
+src_compile() {
+       true
+}
+
+src_install() {
+       dodir /opt/embree
+       cp -r "${S}"/* "${ED}"/opt/embree/ || die
+
+       doenvd "${FILESDIR}"/00embree_bin
+}
+
+pkg_postinst() {
+       elog "Embree has been installed to /opt/embree"
+       elog "you are all set to start using it as binary package"
+       elog "after you refresh your environment with"
+       elog "  env-update && . /etc/profile"
+       elog "If you want to use embree as a library and wist to"
+       elog "do development using embree, you need to source"
+       elog "the appropriate shell script from either"
+       elog "  . /opt/embree/embree-vars.sh"
+       elog "or if you are using csh"
+       elog "  . /opt/embree/embree-vars.csh"
+}

Reply via email to